gi-gio-2.0.27: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gio.Flags

Contents

- Flags
  - AppInfoCreateFlags
  - ApplicationFlags
  - AskPasswordFlags
  - BusNameOwnerFlags
  - BusNameWatcherFlags
  - ConverterFlags
  - DBusCallFlags
  - DBusCapabilityFlags
  - DBusConnectionFlags
  - DBusInterfaceSkeletonFlags
  - DBusMessageFlags
  - DBusObjectManagerClientFlags
  - DBusPropertyInfoFlags
  - DBusProxyFlags
  - DBusSendMessageFlags
  - DBusServerFlags
  - DBusSignalFlags
  - DBusSubtreeFlags
  - DriveStartFlags
  - FileAttributeInfoFlags
  - FileCopyFlags
  - FileCreateFlags
  - FileMeasureFlags
  - FileMonitorFlags
  - FileQueryInfoFlags
  - IOStreamSpliceFlags
  - MountMountFlags
  - MountUnmountFlags
  - OutputStreamSpliceFlags
  - ResolverNameLookupFlags
  - ResourceFlags
  - ResourceLookupFlags
  - SettingsBindFlags
  - SocketMsgFlags
  - SubprocessFlags
  - TestDBusFlags
  - TlsCertificateFlags
  - TlsDatabaseVerifyFlags
  - TlsPasswordFlags

Description

Synopsis

- data AppInfoCreateFlags
  - = AppInfoCreateFlagsNone
  - | AppInfoCreateFlagsNeedsTerminal
  - | AppInfoCreateFlagsSupportsUris
  - | AppInfoCreateFlagsSupportsStartupNotification
  - | AnotherAppInfoCreateFlags Int
- data ApplicationFlags
  - = ApplicationFlagsFlagsNone
  - | ApplicationFlagsIsService
  - | ApplicationFlagsIsLauncher
  - | ApplicationFlagsHandlesOpen
  - | ApplicationFlagsHandlesCommandLine
  - | ApplicationFlagsSendEnvironment
  - | ApplicationFlagsNonUnique
  - | ApplicationFlagsCanOverrideAppId
  - | ApplicationFlagsAllowReplacement
  - | ApplicationFlagsReplace
  - | AnotherApplicationFlags Int
- data AskPasswordFlags
  - = AskPasswordFlagsNeedPassword
  - | AskPasswordFlagsNeedUsername
  - | AskPasswordFlagsNeedDomain
  - | AskPasswordFlagsSavingSupported
  - | AskPasswordFlagsAnonymousSupported
  - | AskPasswordFlagsTcrypt
  - | AnotherAskPasswordFlags Int
- data BusNameOwnerFlags
  - = BusNameOwnerFlagsNone
  - | BusNameOwnerFlagsAllowReplacement
  - | BusNameOwnerFlagsReplace
  - | BusNameOwnerFlagsDoNotQueue
  - | AnotherBusNameOwnerFlags Int
- data BusNameWatcherFlags
  - = BusNameWatcherFlagsNone
  - | BusNameWatcherFlagsAutoStart
  - | AnotherBusNameWatcherFlags Int
- data ConverterFlags
  - = ConverterFlagsNone
  - | ConverterFlagsInputAtEnd
  - | ConverterFlagsFlush
  - | AnotherConverterFlags Int
- data DBusCallFlags
  - = DBusCallFlagsNone
  - | DBusCallFlagsNoAutoStart
  - | DBusCallFlagsAllowInteractiveAuthorization
  - | AnotherDBusCallFlags Int
- data DBusCapabilityFlags
  - = DBusCapabilityFlagsNone
  - | DBusCapabilityFlagsUnixFdPassing
  - | AnotherDBusCapabilityFlags Int
- data DBusConnectionFlags
  - = DBusConnectionFlagsNone
  - | DBusConnectionFlagsAuthenticationClient
  - | DBusConnectionFlagsAuthenticationServer
  - | DBusConnectionFlagsAuthenticationAllowAnonymous
  - | DBusConnectionFlagsMessageBusConnection
  - | DBusConnectionFlagsDelayMessageProcessing
  - | AnotherDBusConnectionFlags Int
- data DBusInterfaceSkeletonFlags
  - = DBusInterfaceSkeletonFlagsNone
  - | DBusInterfaceSkeletonFlagsHandleMethodInvocationsInThread
  - | AnotherDBusInterfaceSkeletonFlags Int
- data DBusMessageFlags
  - = DBusMessageFlagsNone
  - | DBusMessageFlagsNoReplyExpected
  - | DBusMessageFlagsNoAutoStart
  - | DBusMessageFlagsAllowInteractiveAuthorization
  - | AnotherDBusMessageFlags Int
- data DBusObjectManagerClientFlags
  - = DBusObjectManagerClientFlagsNone
  - | DBusObjectManagerClientFlagsDoNotAutoStart
  - | AnotherDBusObjectManagerClientFlags Int
- data DBusPropertyInfoFlags
  - = DBusPropertyInfoFlagsNone
  - | DBusPropertyInfoFlagsReadable
  - | DBusPropertyInfoFlagsWritable
  - | AnotherDBusPropertyInfoFlags Int
- data DBusProxyFlags
  - = DBusProxyFlagsNone
  - | DBusProxyFlagsDoNotLoadProperties
  - | DBusProxyFlagsDoNotConnectSignals
  - | DBusProxyFlagsDoNotAutoStart
  - | DBusProxyFlagsGetInvalidatedProperties
  - | DBusProxyFlagsDoNotAutoStartAtConstruction
  - | AnotherDBusProxyFlags Int
- data DBusSendMessageFlags
  - = DBusSendMessageFlagsNone
  - | DBusSendMessageFlagsPreserveSerial
  - | AnotherDBusSendMessageFlags Int
- data DBusServerFlags
  - = DBusServerFlagsNone
  - | DBusServerFlagsRunInThread
  - | DBusServerFlagsAuthenticationAllowAnonymous
  - | AnotherDBusServerFlags Int
- data DBusSignalFlags
  - = DBusSignalFlagsNone
  - | DBusSignalFlagsNoMatchRule
  - | DBusSignalFlagsMatchArg0Namespace
  - | DBusSignalFlagsMatchArg0Path
  - | AnotherDBusSignalFlags Int
- data DBusSubtreeFlags
  - = DBusSubtreeFlagsNone
  - | DBusSubtreeFlagsDispatchToUnenumeratedNodes
  - | AnotherDBusSubtreeFlags Int
- data DriveStartFlags
  - = DriveStartFlagsNone
  - | AnotherDriveStartFlags Int
- data FileAttributeInfoFlags
  - = FileAttributeInfoFlagsNone
  - | FileAttributeInfoFlagsCopyWithFile
  - | FileAttributeInfoFlagsCopyWhenMoved
  - | AnotherFileAttributeInfoFlags Int
- data FileCopyFlags
  - = FileCopyFlagsNone
  - | FileCopyFlagsOverwrite
  - | FileCopyFlagsBackup
  - | FileCopyFlagsNofollowSymlinks
  - | FileCopyFlagsAllMetadata
  - | FileCopyFlagsNoFallbackForMove
  - | FileCopyFlagsTargetDefaultPerms
  - | AnotherFileCopyFlags Int
- data FileCreateFlags
  - = FileCreateFlagsNone
  - | FileCreateFlagsPrivate
  - | FileCreateFlagsReplaceDestination
  - | AnotherFileCreateFlags Int
- data FileMeasureFlags
  - = FileMeasureFlagsNone
  - | FileMeasureFlagsReportAnyError
  - | FileMeasureFlagsApparentSize
  - | FileMeasureFlagsNoXdev
  - | AnotherFileMeasureFlags Int
- data FileMonitorFlags
  - = FileMonitorFlagsNone
  - | FileMonitorFlagsWatchMounts
  - | FileMonitorFlagsSendMoved
  - | FileMonitorFlagsWatchHardLinks
  - | FileMonitorFlagsWatchMoves
  - | AnotherFileMonitorFlags Int
- data FileQueryInfoFlags
  - = FileQueryInfoFlagsNone
  - | FileQueryInfoFlagsNofollowSymlinks
  - | AnotherFileQueryInfoFlags Int
- data IOStreamSpliceFlags
  - = IOStreamSpliceFlagsNone
  - | IOStreamSpliceFlagsCloseStream1
  - | IOStreamSpliceFlagsCloseStream2
  - | IOStreamSpliceFlagsWaitForBoth
  - | AnotherIOStreamSpliceFlags Int
- data MountMountFlags
  - = MountMountFlagsNone
  - | AnotherMountMountFlags Int
- data MountUnmountFlags
  - = MountUnmountFlagsNone
  - | MountUnmountFlagsForce
  - | AnotherMountUnmountFlags Int
- data OutputStreamSpliceFlags
  - = OutputStreamSpliceFlagsNone
  - | OutputStreamSpliceFlagsCloseSource
  - | OutputStreamSpliceFlagsCloseTarget
  - | AnotherOutputStreamSpliceFlags Int
- data ResolverNameLookupFlags
  - = ResolverNameLookupFlagsDefault
  - | ResolverNameLookupFlagsIpv4Only
  - | ResolverNameLookupFlagsIpv6Only
  - | AnotherResolverNameLookupFlags Int
- data ResourceFlags
  - = ResourceFlagsNone
  - | ResourceFlagsCompressed
  - | AnotherResourceFlags Int
- data ResourceLookupFlags
  - = ResourceLookupFlagsNone
  - | AnotherResourceLookupFlags Int
- data SettingsBindFlags
  - = SettingsBindFlagsDefault
  - | SettingsBindFlagsGet
  - | SettingsBindFlagsSet
  - | SettingsBindFlagsNoSensitivity
  - | SettingsBindFlagsGetNoChanges
  - | SettingsBindFlagsInvertBoolean
  - | AnotherSettingsBindFlags Int
- data SocketMsgFlags
  - = SocketMsgFlagsNone
  - | SocketMsgFlagsOob
  - | SocketMsgFlagsPeek
  - | SocketMsgFlagsDontroute
  - | AnotherSocketMsgFlags Int
- data SubprocessFlags
  - = SubprocessFlagsNone
  - | SubprocessFlagsStdinPipe
  - | SubprocessFlagsStdinInherit
  - | SubprocessFlagsStdoutPipe
  - | SubprocessFlagsStdoutSilence
  - | SubprocessFlagsStderrPipe
  - | SubprocessFlagsStderrSilence
  - | SubprocessFlagsStderrMerge
  - | SubprocessFlagsInheritFds
  - | AnotherSubprocessFlags Int
- data TestDBusFlags
  - = TestDBusFlagsNone
  - | AnotherTestDBusFlags Int
- data TlsCertificateFlags
  - = TlsCertificateFlagsUnknownCa
  - | TlsCertificateFlagsBadIdentity
  - | TlsCertificateFlagsNotActivated
  - | TlsCertificateFlagsExpired
  - | TlsCertificateFlagsRevoked
  - | TlsCertificateFlagsInsecure
  - | TlsCertificateFlagsGenericError
  - | TlsCertificateFlagsValidateAll
  - | AnotherTlsCertificateFlags Int
- data TlsDatabaseVerifyFlags
  - = TlsDatabaseVerifyFlagsNone
  - | AnotherTlsDatabaseVerifyFlags Int
- data TlsPasswordFlags
  - = TlsPasswordFlagsNone
  - | TlsPasswordFlagsRetry
  - | TlsPasswordFlagsManyTries
  - | TlsPasswordFlagsFinalTry
  - | AnotherTlsPasswordFlags Int

# Flags

## AppInfoCreateFlags

data AppInfoCreateFlags Source #

Flags used when creating a `AppInfo`.

Constructors

AppInfoCreateFlagsNone | No flags.
AppInfoCreateFlagsNeedsTerminal | Application opens in a terminal window.
AppInfoCreateFlagsSupportsUris | Application supports URI arguments.
AppInfoCreateFlagsSupportsStartupNotification | Application supports startup notification. Since 2.26
AnotherAppInfoCreateFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum AppInfoCreateFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: AppInfoCreateFlags -> AppInfoCreateFlags

pred :: AppInfoCreateFlags -> AppInfoCreateFlags

toEnum :: Int -> AppInfoCreateFlags #

fromEnum :: AppInfoCreateFlags -> Int #

enumFrom :: AppInfoCreateFlags -> [AppInfoCreateFlags]

enumFromThen :: AppInfoCreateFlags -> AppInfoCreateFlags -> [AppInfoCreateFlags]

enumFromTo :: AppInfoCreateFlags -> AppInfoCreateFlags -> [AppInfoCreateFlags]

enumFromThenTo :: AppInfoCreateFlags -> AppInfoCreateFlags -> AppInfoCreateFlags -> [AppInfoCreateFlags]

Eq AppInfoCreateFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: AppInfoCreateFlags -> AppInfoCreateFlags -> Bool # (/=) :: AppInfoCreateFlags -> AppInfoCreateFlags -> Bool #
Ord AppInfoCreateFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: AppInfoCreateFlags -> AppInfoCreateFlags -> Ordering

(<) :: AppInfoCreateFlags -> AppInfoCreateFlags -> Bool

(<=) :: AppInfoCreateFlags -> AppInfoCreateFlags -> Bool

(>) :: AppInfoCreateFlags -> AppInfoCreateFlags -> Bool

(>=) :: AppInfoCreateFlags -> AppInfoCreateFlags -> Bool

max :: AppInfoCreateFlags -> AppInfoCreateFlags -> AppInfoCreateFlags

min :: AppInfoCreateFlags -> AppInfoCreateFlags -> AppInfoCreateFlags

Show AppInfoCreateFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> AppInfoCreateFlags -> ShowS # show :: AppInfoCreateFlags -> String # showList :: [AppInfoCreateFlags] -> ShowS #
IsGFlag AppInfoCreateFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags AppInfoCreateFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject AppInfoCreateFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes AppInfoCreateFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes AppInfoCreateFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes AppInfoCreateFlags = '[] :: [Type]

## ApplicationFlags

data ApplicationFlags Source #

Flags used to define the behaviour of a `Application`.

Since: 2.28

Constructors

ApplicationFlagsFlagsNone | Default
ApplicationFlagsIsService | Run as a service. In this mode, registration fails if the service is already running, and the application will initially wait up to 10 seconds for an initial activation message to arrive.
ApplicationFlagsIsLauncher | Don't try to become the primary instance.
ApplicationFlagsHandlesOpen | This application handles opening files (in the primary instance). Note that this flag only affects the default implementation of `local_command_line()`, and has no effect if `ApplicationFlagsHandlesCommandLine` is given. See `applicationRun` for details.
ApplicationFlagsHandlesCommandLine | This application handles command line arguments (in the primary instance). Note that this flag only affect the default implementation of `local_command_line()`. See `applicationRun` for details.

ApplicationFlagsSendEnvironment

Send the environment of the launching process to the primary instance. Set this flag if your application is expected to behave differently depending on certain environment variables. For instance, an editor might be expected to use the `GIT_COMMITTER_NAME` environment variable when editing a git commit message. The environment is available to the commandLine signal handler, via `applicationCommandLineGetenv`.

ApplicationFlagsNonUnique | Make no attempts to do any of the typical single-instance application negotiation, even if the application ID is given. The application neither attempts to become the owner of the application ID nor does it check if an existing owner already exists. Everything occurs in the local process. Since: 2.30.
ApplicationFlagsCanOverrideAppId | Allow users to override the application ID from the command line with `--gapplication-app-id`. Since: 2.48
ApplicationFlagsAllowReplacement | Allow another instance to take over the bus name. Since: 2.60
ApplicationFlagsReplace | Take over from another instance. This flag is usually set by passing `--gapplication-replace` on the commandline. Since: 2.60
AnotherApplicationFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum ApplicationFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: ApplicationFlags -> ApplicationFlags

pred :: ApplicationFlags -> ApplicationFlags

toEnum :: Int -> ApplicationFlags #

fromEnum :: ApplicationFlags -> Int #

enumFrom :: ApplicationFlags -> [ApplicationFlags]

enumFromThen :: ApplicationFlags -> ApplicationFlags -> [ApplicationFlags]

enumFromTo :: ApplicationFlags -> ApplicationFlags -> [ApplicationFlags]

enumFromThenTo :: ApplicationFlags -> ApplicationFlags -> ApplicationFlags -> [ApplicationFlags]

Eq ApplicationFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: ApplicationFlags -> ApplicationFlags -> Bool # (/=) :: ApplicationFlags -> ApplicationFlags -> Bool #
Ord ApplicationFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: ApplicationFlags -> ApplicationFlags -> Ordering

(<) :: ApplicationFlags -> ApplicationFlags -> Bool

(<=) :: ApplicationFlags -> ApplicationFlags -> Bool

(>) :: ApplicationFlags -> ApplicationFlags -> Bool

(>=) :: ApplicationFlags -> ApplicationFlags -> Bool

max :: ApplicationFlags -> ApplicationFlags -> ApplicationFlags

min :: ApplicationFlags -> ApplicationFlags -> ApplicationFlags

Show ApplicationFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> ApplicationFlags -> ShowS # show :: ApplicationFlags -> String # showList :: [ApplicationFlags] -> ShowS #
IsGFlag ApplicationFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags ApplicationFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject ApplicationFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes ApplicationFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes ApplicationFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes ApplicationFlags = '[] :: [Type]

## AskPasswordFlags

data AskPasswordFlags Source #

`AskPasswordFlags` are used to request specific information from the user, or to notify the user of their choices in an authentication situation.

Constructors

AskPasswordFlagsNeedPassword | operation requires a password.
AskPasswordFlagsNeedUsername | operation requires a username.
AskPasswordFlagsNeedDomain | operation requires a domain.
AskPasswordFlagsSavingSupported | operation supports saving settings.
AskPasswordFlagsAnonymousSupported | operation supports anonymous users.
AskPasswordFlagsTcrypt | operation takes TCRYPT parameters (Since: 2.58)
AnotherAskPasswordFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum AskPasswordFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: AskPasswordFlags -> AskPasswordFlags

pred :: AskPasswordFlags -> AskPasswordFlags

toEnum :: Int -> AskPasswordFlags #

fromEnum :: AskPasswordFlags -> Int #

enumFrom :: AskPasswordFlags -> [AskPasswordFlags]

enumFromThen :: AskPasswordFlags -> AskPasswordFlags -> [AskPasswordFlags]

enumFromTo :: AskPasswordFlags -> AskPasswordFlags -> [AskPasswordFlags]

enumFromThenTo :: AskPasswordFlags -> AskPasswordFlags -> AskPasswordFlags -> [AskPasswordFlags]

Eq AskPasswordFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: AskPasswordFlags -> AskPasswordFlags -> Bool # (/=) :: AskPasswordFlags -> AskPasswordFlags -> Bool #
Ord AskPasswordFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: AskPasswordFlags -> AskPasswordFlags -> Ordering

(<) :: AskPasswordFlags -> AskPasswordFlags -> Bool

(<=) :: AskPasswordFlags -> AskPasswordFlags -> Bool

(>) :: AskPasswordFlags -> AskPasswordFlags -> Bool

(>=) :: AskPasswordFlags -> AskPasswordFlags -> Bool

max :: AskPasswordFlags -> AskPasswordFlags -> AskPasswordFlags

min :: AskPasswordFlags -> AskPasswordFlags -> AskPasswordFlags

Show AskPasswordFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> AskPasswordFlags -> ShowS # show :: AskPasswordFlags -> String # showList :: [AskPasswordFlags] -> ShowS #
IsGFlag AskPasswordFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags AskPasswordFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject AskPasswordFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes AskPasswordFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes AskPasswordFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes AskPasswordFlags = '[] :: [Type]

## BusNameOwnerFlags

data BusNameOwnerFlags Source #

Flags used in `g_bus_own_name()`.

Since: 2.26

Constructors

BusNameOwnerFlagsNone | No flags set.
BusNameOwnerFlagsAllowReplacement | Allow another message bus connection to claim the name.
BusNameOwnerFlagsReplace | If another message bus connection owns the name and have specified `G_BUS_NAME_OWNER_FLAGS_ALLOW_REPLACEMENT`, then take the name from the other connection.
BusNameOwnerFlagsDoNotQueue | If another message bus connection owns the name, immediately return an error from `g_bus_own_name()` rather than entering the waiting queue for that name. (Since 2.54)
AnotherBusNameOwnerFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum BusNameOwnerFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: BusNameOwnerFlags -> BusNameOwnerFlags

pred :: BusNameOwnerFlags -> BusNameOwnerFlags

toEnum :: Int -> BusNameOwnerFlags #

fromEnum :: BusNameOwnerFlags -> Int #

enumFrom :: BusNameOwnerFlags -> [BusNameOwnerFlags]

enumFromThen :: BusNameOwnerFlags -> BusNameOwnerFlags -> [BusNameOwnerFlags]

enumFromTo :: BusNameOwnerFlags -> BusNameOwnerFlags -> [BusNameOwnerFlags]

enumFromThenTo :: BusNameOwnerFlags -> BusNameOwnerFlags -> BusNameOwnerFlags -> [BusNameOwnerFlags]

Eq BusNameOwnerFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: BusNameOwnerFlags -> BusNameOwnerFlags -> Bool # (/=) :: BusNameOwnerFlags -> BusNameOwnerFlags -> Bool #
Ord BusNameOwnerFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: BusNameOwnerFlags -> BusNameOwnerFlags -> Ordering

(<) :: BusNameOwnerFlags -> BusNameOwnerFlags -> Bool

(<=) :: BusNameOwnerFlags -> BusNameOwnerFlags -> Bool

(>) :: BusNameOwnerFlags -> BusNameOwnerFlags -> Bool

(>=) :: BusNameOwnerFlags -> BusNameOwnerFlags -> Bool

max :: BusNameOwnerFlags -> BusNameOwnerFlags -> BusNameOwnerFlags

min :: BusNameOwnerFlags -> BusNameOwnerFlags -> BusNameOwnerFlags

Show BusNameOwnerFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> BusNameOwnerFlags -> ShowS # show :: BusNameOwnerFlags -> String # showList :: [BusNameOwnerFlags] -> ShowS #
IsGFlag BusNameOwnerFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags BusNameOwnerFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject BusNameOwnerFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes BusNameOwnerFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes BusNameOwnerFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes BusNameOwnerFlags = '[] :: [Type]

## BusNameWatcherFlags

data BusNameWatcherFlags Source #

Flags used in `g_bus_watch_name()`.

Since: 2.26

Constructors

BusNameWatcherFlagsNone | No flags set.
BusNameWatcherFlagsAutoStart | If no-one owns the name when beginning to watch the name, ask the bus to launch an owner for the name.
AnotherBusNameWatcherFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum BusNameWatcherFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: BusNameWatcherFlags -> BusNameWatcherFlags

pred :: BusNameWatcherFlags -> BusNameWatcherFlags

toEnum :: Int -> BusNameWatcherFlags #

fromEnum :: BusNameWatcherFlags -> Int #

enumFrom :: BusNameWatcherFlags -> [BusNameWatcherFlags]

enumFromThen :: BusNameWatcherFlags -> BusNameWatcherFlags -> [BusNameWatcherFlags]

enumFromTo :: BusNameWatcherFlags -> BusNameWatcherFlags -> [BusNameWatcherFlags]

enumFromThenTo :: BusNameWatcherFlags -> BusNameWatcherFlags -> BusNameWatcherFlags -> [BusNameWatcherFlags]

Eq BusNameWatcherFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: BusNameWatcherFlags -> BusNameWatcherFlags -> Bool # (/=) :: BusNameWatcherFlags -> BusNameWatcherFlags -> Bool #
Ord BusNameWatcherFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: BusNameWatcherFlags -> BusNameWatcherFlags -> Ordering

(<) :: BusNameWatcherFlags -> BusNameWatcherFlags -> Bool

(<=) :: BusNameWatcherFlags -> BusNameWatcherFlags -> Bool

(>) :: BusNameWatcherFlags -> BusNameWatcherFlags -> Bool

(>=) :: BusNameWatcherFlags -> BusNameWatcherFlags -> Bool

max :: BusNameWatcherFlags -> BusNameWatcherFlags -> BusNameWatcherFlags

min :: BusNameWatcherFlags -> BusNameWatcherFlags -> BusNameWatcherFlags

Show BusNameWatcherFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> BusNameWatcherFlags -> ShowS # show :: BusNameWatcherFlags -> String # showList :: [BusNameWatcherFlags] -> ShowS #
IsGFlag BusNameWatcherFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags BusNameWatcherFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject BusNameWatcherFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes BusNameWatcherFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes BusNameWatcherFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes BusNameWatcherFlags = '[] :: [Type]

## ConverterFlags

data ConverterFlags Source #

Flags used when calling a `converterConvert`.

Since: 2.24

Constructors

ConverterFlagsNone | No flags.
ConverterFlagsInputAtEnd | At end of input data
ConverterFlagsFlush | Flush data
AnotherConverterFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum ConverterFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: ConverterFlags -> ConverterFlags

pred :: ConverterFlags -> ConverterFlags

toEnum :: Int -> ConverterFlags #

fromEnum :: ConverterFlags -> Int #

enumFrom :: ConverterFlags -> [ConverterFlags]

enumFromThen :: ConverterFlags -> ConverterFlags -> [ConverterFlags]

enumFromTo :: ConverterFlags -> ConverterFlags -> [ConverterFlags]

enumFromThenTo :: ConverterFlags -> ConverterFlags -> ConverterFlags -> [ConverterFlags]

Eq ConverterFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: ConverterFlags -> ConverterFlags -> Bool # (/=) :: ConverterFlags -> ConverterFlags -> Bool #
Ord ConverterFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: ConverterFlags -> ConverterFlags -> Ordering

(<) :: ConverterFlags -> ConverterFlags -> Bool

(<=) :: ConverterFlags -> ConverterFlags -> Bool

(>) :: ConverterFlags -> ConverterFlags -> Bool

(>=) :: ConverterFlags -> ConverterFlags -> Bool

max :: ConverterFlags -> ConverterFlags -> ConverterFlags

min :: ConverterFlags -> ConverterFlags -> ConverterFlags

Show ConverterFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> ConverterFlags -> ShowS # show :: ConverterFlags -> String # showList :: [ConverterFlags] -> ShowS #
IsGFlag ConverterFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags ConverterFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject ConverterFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes ConverterFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes ConverterFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes ConverterFlags = '[] :: [Type]

## DBusCallFlags

data DBusCallFlags Source #

Flags used in `dBusConnectionCall` and similar APIs.

Since: 2.26

Constructors

DBusCallFlagsNone | No flags set.
DBusCallFlagsNoAutoStart | The bus must not launch an owner for the destination name in response to this method invocation.
DBusCallFlagsAllowInteractiveAuthorization | the caller is prepared to wait for interactive authorization. Since 2.46.
AnotherDBusCallFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum DBusCallFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DBusCallFlags -> DBusCallFlags

pred :: DBusCallFlags -> DBusCallFlags

toEnum :: Int -> DBusCallFlags #

fromEnum :: DBusCallFlags -> Int #

enumFrom :: DBusCallFlags -> [DBusCallFlags]

enumFromThen :: DBusCallFlags -> DBusCallFlags -> [DBusCallFlags]

enumFromTo :: DBusCallFlags -> DBusCallFlags -> [DBusCallFlags]

enumFromThenTo :: DBusCallFlags -> DBusCallFlags -> DBusCallFlags -> [DBusCallFlags]

Eq DBusCallFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DBusCallFlags -> DBusCallFlags -> Bool # (/=) :: DBusCallFlags -> DBusCallFlags -> Bool #
Ord DBusCallFlags Source # |
Instance details Defined in GI.Gio.Flags Methods compare :: DBusCallFlags -> DBusCallFlags -> Ordering (<) :: DBusCallFlags -> DBusCallFlags -> Bool (<=) :: DBusCallFlags -> DBusCallFlags -> Bool (>) :: DBusCallFlags -> DBusCallFlags -> Bool (>=) :: DBusCallFlags -> DBusCallFlags -> Bool max :: DBusCallFlags -> DBusCallFlags -> DBusCallFlags min :: DBusCallFlags -> DBusCallFlags -> DBusCallFlags
Show DBusCallFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DBusCallFlags -> ShowS # show :: DBusCallFlags -> String # showList :: [DBusCallFlags] -> ShowS #
IsGFlag DBusCallFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DBusCallFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject DBusCallFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes DBusCallFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes DBusCallFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes DBusCallFlags = '[] :: [Type]

## DBusCapabilityFlags

data DBusCapabilityFlags Source #

Capabilities negotiated with the remote peer.

Since: 2.26

Constructors

DBusCapabilityFlagsNone | No flags set.
DBusCapabilityFlagsUnixFdPassing | The connection supports exchanging UNIX file descriptors with the remote peer.
AnotherDBusCapabilityFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum DBusCapabilityFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DBusCapabilityFlags -> DBusCapabilityFlags

pred :: DBusCapabilityFlags -> DBusCapabilityFlags

toEnum :: Int -> DBusCapabilityFlags #

fromEnum :: DBusCapabilityFlags -> Int #

enumFrom :: DBusCapabilityFlags -> [DBusCapabilityFlags]

enumFromThen :: DBusCapabilityFlags -> DBusCapabilityFlags -> [DBusCapabilityFlags]

enumFromTo :: DBusCapabilityFlags -> DBusCapabilityFlags -> [DBusCapabilityFlags]

enumFromThenTo :: DBusCapabilityFlags -> DBusCapabilityFlags -> DBusCapabilityFlags -> [DBusCapabilityFlags]

Eq DBusCapabilityFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DBusCapabilityFlags -> DBusCapabilityFlags -> Bool # (/=) :: DBusCapabilityFlags -> DBusCapabilityFlags -> Bool #
Ord DBusCapabilityFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DBusCapabilityFlags -> DBusCapabilityFlags -> Ordering

(<) :: DBusCapabilityFlags -> DBusCapabilityFlags -> Bool

(<=) :: DBusCapabilityFlags -> DBusCapabilityFlags -> Bool

(>) :: DBusCapabilityFlags -> DBusCapabilityFlags -> Bool

(>=) :: DBusCapabilityFlags -> DBusCapabilityFlags -> Bool

max :: DBusCapabilityFlags -> DBusCapabilityFlags -> DBusCapabilityFlags

min :: DBusCapabilityFlags -> DBusCapabilityFlags -> DBusCapabilityFlags

Show DBusCapabilityFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DBusCapabilityFlags -> ShowS # show :: DBusCapabilityFlags -> String # showList :: [DBusCapabilityFlags] -> ShowS #
IsGFlag DBusCapabilityFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DBusCapabilityFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject DBusCapabilityFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes DBusCapabilityFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes DBusCapabilityFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes DBusCapabilityFlags = '[] :: [Type]

## DBusConnectionFlags

data DBusConnectionFlags Source #

Flags used when creating a new `DBusConnection`.

Since: 2.26

Constructors

DBusConnectionFlagsNone | No flags set.
DBusConnectionFlagsAuthenticationClient | Perform authentication against server.
DBusConnectionFlagsAuthenticationServer | Perform authentication against client.
DBusConnectionFlagsAuthenticationAllowAnonymous | When authenticating as a server, allow the anonymous authentication method.
DBusConnectionFlagsMessageBusConnection | Pass this flag if connecting to a peer that is a message bus. This means that the `Hello()` method will be invoked as part of the connection setup.
DBusConnectionFlagsDelayMessageProcessing | If set, processing of D-Bus messages is delayed until `dBusConnectionStartMessageProcessing` is called.
AnotherDBusConnectionFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum DBusConnectionFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DBusConnectionFlags -> DBusConnectionFlags

pred :: DBusConnectionFlags -> DBusConnectionFlags

toEnum :: Int -> DBusConnectionFlags #

fromEnum :: DBusConnectionFlags -> Int #

enumFrom :: DBusConnectionFlags -> [DBusConnectionFlags]

enumFromThen :: DBusConnectionFlags -> DBusConnectionFlags -> [DBusConnectionFlags]

enumFromTo :: DBusConnectionFlags -> DBusConnectionFlags -> [DBusConnectionFlags]

enumFromThenTo :: DBusConnectionFlags -> DBusConnectionFlags -> DBusConnectionFlags -> [DBusConnectionFlags]

Eq DBusConnectionFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DBusConnectionFlags -> DBusConnectionFlags -> Bool # (/=) :: DBusConnectionFlags -> DBusConnectionFlags -> Bool #
Ord DBusConnectionFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DBusConnectionFlags -> DBusConnectionFlags -> Ordering

(<) :: DBusConnectionFlags -> DBusConnectionFlags -> Bool

(<=) :: DBusConnectionFlags -> DBusConnectionFlags -> Bool

(>) :: DBusConnectionFlags -> DBusConnectionFlags -> Bool

(>=) :: DBusConnectionFlags -> DBusConnectionFlags -> Bool

max :: DBusConnectionFlags -> DBusConnectionFlags -> DBusConnectionFlags

min :: DBusConnectionFlags -> DBusConnectionFlags -> DBusConnectionFlags

Show DBusConnectionFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DBusConnectionFlags -> ShowS # show :: DBusConnectionFlags -> String # showList :: [DBusConnectionFlags] -> ShowS #
IsGFlag DBusConnectionFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DBusConnectionFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject DBusConnectionFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes DBusConnectionFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes DBusConnectionFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes DBusConnectionFlags = '[] :: [Type]

## DBusInterfaceSkeletonFlags

data DBusInterfaceSkeletonFlags Source #

Flags describing the behavior of a `DBusInterfaceSkeleton` instance.

Since: 2.30

Constructors

DBusInterfaceSkeletonFlagsNone | No flags set.
DBusInterfaceSkeletonFlagsHandleMethodInvocationsInThread | Each method invocation is handled in a thread dedicated to the invocation. This means that the method implementation can use blocking IO without blocking any other part of the process. It also means that the method implementation must use locking to access data structures used by other threads.
AnotherDBusInterfaceSkeletonFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum DBusInterfaceSkeletonFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags

pred :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags

toEnum :: Int -> DBusInterfaceSkeletonFlags #

fromEnum :: DBusInterfaceSkeletonFlags -> Int #

enumFrom :: DBusInterfaceSkeletonFlags -> [DBusInterfaceSkeletonFlags]

enumFromThen :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> [DBusInterfaceSkeletonFlags]

enumFromTo :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> [DBusInterfaceSkeletonFlags]

enumFromThenTo :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> [DBusInterfaceSkeletonFlags]

Eq DBusInterfaceSkeletonFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> Bool # (/=) :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> Bool #
Ord DBusInterfaceSkeletonFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> Ordering

(<) :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> Bool

(<=) :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> Bool

(>) :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> Bool

(>=) :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> Bool

max :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags

min :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags

Show DBusInterfaceSkeletonFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DBusInterfaceSkeletonFlags -> ShowS # show :: DBusInterfaceSkeletonFlags -> String # showList :: [DBusInterfaceSkeletonFlags] -> ShowS #
IsGFlag DBusInterfaceSkeletonFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DBusInterfaceSkeletonFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject DBusInterfaceSkeletonFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes DBusInterfaceSkeletonFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes DBusInterfaceSkeletonFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes DBusInterfaceSkeletonFlags = '[] :: [Type]

## DBusMessageFlags

data DBusMessageFlags Source #

Message flags used in `DBusMessage`.

Since: 2.26

Constructors

DBusMessageFlagsNone | No flags set.
DBusMessageFlagsNoReplyExpected | A reply is not expected.
DBusMessageFlagsNoAutoStart | The bus must not launch an owner for the destination name in response to this message.
DBusMessageFlagsAllowInteractiveAuthorization | If set on a method call, this flag means that the caller is prepared to wait for interactive authorization. Since 2.46.
AnotherDBusMessageFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum DBusMessageFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DBusMessageFlags -> DBusMessageFlags

pred :: DBusMessageFlags -> DBusMessageFlags

toEnum :: Int -> DBusMessageFlags #

fromEnum :: DBusMessageFlags -> Int #

enumFrom :: DBusMessageFlags -> [DBusMessageFlags]

enumFromThen :: DBusMessageFlags -> DBusMessageFlags -> [DBusMessageFlags]

enumFromTo :: DBusMessageFlags -> DBusMessageFlags -> [DBusMessageFlags]

enumFromThenTo :: DBusMessageFlags -> DBusMessageFlags -> DBusMessageFlags -> [DBusMessageFlags]

Eq DBusMessageFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DBusMessageFlags -> DBusMessageFlags -> Bool # (/=) :: DBusMessageFlags -> DBusMessageFlags -> Bool #
Ord DBusMessageFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DBusMessageFlags -> DBusMessageFlags -> Ordering

(<) :: DBusMessageFlags -> DBusMessageFlags -> Bool

(<=) :: DBusMessageFlags -> DBusMessageFlags -> Bool

(>) :: DBusMessageFlags -> DBusMessageFlags -> Bool

(>=) :: DBusMessageFlags -> DBusMessageFlags -> Bool

max :: DBusMessageFlags -> DBusMessageFlags -> DBusMessageFlags

min :: DBusMessageFlags -> DBusMessageFlags -> DBusMessageFlags

Show DBusMessageFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DBusMessageFlags -> ShowS # show :: DBusMessageFlags -> String # showList :: [DBusMessageFlags] -> ShowS #
IsGFlag DBusMessageFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DBusMessageFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject DBusMessageFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes DBusMessageFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes DBusMessageFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes DBusMessageFlags = '[] :: [Type]

## DBusObjectManagerClientFlags

data DBusObjectManagerClientFlags Source #

Flags used when constructing a `DBusObjectManagerClient`.

Since: 2.30

Constructors

DBusObjectManagerClientFlagsNone | No flags set.
DBusObjectManagerClientFlagsDoNotAutoStart | If not set and the manager is for a well-known name, then request the bus to launch an owner for the name if no-one owns the name. This flag can only be used in managers for well-known names.
AnotherDBusObjectManagerClientFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum DBusObjectManagerClientFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags

pred :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags

toEnum :: Int -> DBusObjectManagerClientFlags #

fromEnum :: DBusObjectManagerClientFlags -> Int #

enumFrom :: DBusObjectManagerClientFlags -> [DBusObjectManagerClientFlags]

enumFromThen :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> [DBusObjectManagerClientFlags]

enumFromTo :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> [DBusObjectManagerClientFlags]

enumFromThenTo :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> [DBusObjectManagerClientFlags]

Eq DBusObjectManagerClientFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> Bool # (/=) :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> Bool #
Ord DBusObjectManagerClientFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> Ordering

(<) :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> Bool

(<=) :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> Bool

(>) :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> Bool

(>=) :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> Bool

max :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags

min :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags

Show DBusObjectManagerClientFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DBusObjectManagerClientFlags -> ShowS # show :: DBusObjectManagerClientFlags -> String # showList :: [DBusObjectManagerClientFlags] -> ShowS #
IsGFlag DBusObjectManagerClientFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DBusObjectManagerClientFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject DBusObjectManagerClientFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes DBusObjectManagerClientFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes DBusObjectManagerClientFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes DBusObjectManagerClientFlags = '[] :: [Type]

## DBusPropertyInfoFlags

data DBusPropertyInfoFlags Source #

Flags describing the access control of a D-Bus property.

Since: 2.26

Constructors

DBusPropertyInfoFlagsNone | No flags set.
DBusPropertyInfoFlagsReadable | Property is readable.
DBusPropertyInfoFlagsWritable | Property is writable.
AnotherDBusPropertyInfoFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum DBusPropertyInfoFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags

pred :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags

toEnum :: Int -> DBusPropertyInfoFlags #

fromEnum :: DBusPropertyInfoFlags -> Int #

enumFrom :: DBusPropertyInfoFlags -> [DBusPropertyInfoFlags]

enumFromThen :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> [DBusPropertyInfoFlags]

enumFromTo :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> [DBusPropertyInfoFlags]

enumFromThenTo :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> [DBusPropertyInfoFlags]

Eq DBusPropertyInfoFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> Bool # (/=) :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> Bool #
Ord DBusPropertyInfoFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> Ordering

(<) :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> Bool

(<=) :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> Bool

(>) :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> Bool

(>=) :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> Bool

max :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> DBusPropertyInfoFlags

min :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> DBusPropertyInfoFlags

Show DBusPropertyInfoFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DBusPropertyInfoFlags -> ShowS # show :: DBusPropertyInfoFlags -> String # showList :: [DBusPropertyInfoFlags] -> ShowS #
IsGFlag DBusPropertyInfoFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DBusPropertyInfoFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject DBusPropertyInfoFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes DBusPropertyInfoFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes DBusPropertyInfoFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes DBusPropertyInfoFlags = '[] :: [Type]

## DBusProxyFlags

data DBusProxyFlags Source #

Flags used when constructing an instance of a `DBusProxy` derived class.

Since: 2.26

Constructors

DBusProxyFlagsNone | No flags set.
DBusProxyFlagsDoNotLoadProperties | Don't load properties.
DBusProxyFlagsDoNotConnectSignals | Don't connect to signals on the remote object.
DBusProxyFlagsDoNotAutoStart | If the proxy is for a well-known name, do not ask the bus to launch an owner during proxy initialization or a method call. This flag is only meaningful in proxies for well-known names.
DBusProxyFlagsGetInvalidatedProperties | If set, the property value for any invalidated property will be (asynchronously) retrieved upon receiving the `PropertiesChanged` D-Bus signal and the property will not cause emission of the gPropertiesChanged signal. When the value is received the gPropertiesChanged signal is emitted for the property along with the retrieved value. Since 2.32.
DBusProxyFlagsDoNotAutoStartAtConstruction | If the proxy is for a well-known name, do not ask the bus to launch an owner during proxy initialization, but allow it to be autostarted by a method call. This flag is only meaningful in proxies for well-known names, and only if `DBusProxyFlagsDoNotAutoStart` is not also specified.
AnotherDBusProxyFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum DBusProxyFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DBusProxyFlags -> DBusProxyFlags

pred :: DBusProxyFlags -> DBusProxyFlags

toEnum :: Int -> DBusProxyFlags #

fromEnum :: DBusProxyFlags -> Int #

enumFrom :: DBusProxyFlags -> [DBusProxyFlags]

enumFromThen :: DBusProxyFlags -> DBusProxyFlags -> [DBusProxyFlags]

enumFromTo :: DBusProxyFlags -> DBusProxyFlags -> [DBusProxyFlags]

enumFromThenTo :: DBusProxyFlags -> DBusProxyFlags -> DBusProxyFlags -> [DBusProxyFlags]

Eq DBusProxyFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DBusProxyFlags -> DBusProxyFlags -> Bool # (/=) :: DBusProxyFlags -> DBusProxyFlags -> Bool #
Ord DBusProxyFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DBusProxyFlags -> DBusProxyFlags -> Ordering

(<) :: DBusProxyFlags -> DBusProxyFlags -> Bool

(<=) :: DBusProxyFlags -> DBusProxyFlags -> Bool

(>) :: DBusProxyFlags -> DBusProxyFlags -> Bool

(>=) :: DBusProxyFlags -> DBusProxyFlags -> Bool

max :: DBusProxyFlags -> DBusProxyFlags -> DBusProxyFlags

min :: DBusProxyFlags -> DBusProxyFlags -> DBusProxyFlags

Show DBusProxyFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DBusProxyFlags -> ShowS # show :: DBusProxyFlags -> String # showList :: [DBusProxyFlags] -> ShowS #
IsGFlag DBusProxyFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DBusProxyFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject DBusProxyFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes DBusProxyFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes DBusProxyFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes DBusProxyFlags = '[] :: [Type]

## DBusSendMessageFlags

data DBusSendMessageFlags Source #

Flags used when sending `GDBusMessages` on a `DBusConnection`.

Since: 2.26

Constructors

DBusSendMessageFlagsNone | No flags set.
DBusSendMessageFlagsPreserveSerial | Do not automatically assign a serial number from the `DBusConnection` object when sending a message.
AnotherDBusSendMessageFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum DBusSendMessageFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DBusSendMessageFlags -> DBusSendMessageFlags

pred :: DBusSendMessageFlags -> DBusSendMessageFlags

toEnum :: Int -> DBusSendMessageFlags #

fromEnum :: DBusSendMessageFlags -> Int #

enumFrom :: DBusSendMessageFlags -> [DBusSendMessageFlags]

enumFromThen :: DBusSendMessageFlags -> DBusSendMessageFlags -> [DBusSendMessageFlags]

enumFromTo :: DBusSendMessageFlags -> DBusSendMessageFlags -> [DBusSendMessageFlags]

enumFromThenTo :: DBusSendMessageFlags -> DBusSendMessageFlags -> DBusSendMessageFlags -> [DBusSendMessageFlags]

Eq DBusSendMessageFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DBusSendMessageFlags -> DBusSendMessageFlags -> Bool # (/=) :: DBusSendMessageFlags -> DBusSendMessageFlags -> Bool #
Ord DBusSendMessageFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DBusSendMessageFlags -> DBusSendMessageFlags -> Ordering

(<) :: DBusSendMessageFlags -> DBusSendMessageFlags -> Bool

(<=) :: DBusSendMessageFlags -> DBusSendMessageFlags -> Bool

(>) :: DBusSendMessageFlags -> DBusSendMessageFlags -> Bool

(>=) :: DBusSendMessageFlags -> DBusSendMessageFlags -> Bool

max :: DBusSendMessageFlags -> DBusSendMessageFlags -> DBusSendMessageFlags

min :: DBusSendMessageFlags -> DBusSendMessageFlags -> DBusSendMessageFlags

Show DBusSendMessageFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DBusSendMessageFlags -> ShowS # show :: DBusSendMessageFlags -> String # showList :: [DBusSendMessageFlags] -> ShowS #
IsGFlag DBusSendMessageFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DBusSendMessageFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject DBusSendMessageFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes DBusSendMessageFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes DBusSendMessageFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes DBusSendMessageFlags = '[] :: [Type]

## DBusServerFlags

data DBusServerFlags Source #

Flags used when creating a `DBusServer`.

Since: 2.26

Constructors

DBusServerFlagsNone | No flags set.
DBusServerFlagsRunInThread | All newConnection signals will run in separated dedicated threads (see signal for details).
DBusServerFlagsAuthenticationAllowAnonymous | Allow the anonymous authentication method.
AnotherDBusServerFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum DBusServerFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DBusServerFlags -> DBusServerFlags

pred :: DBusServerFlags -> DBusServerFlags

toEnum :: Int -> DBusServerFlags #

fromEnum :: DBusServerFlags -> Int #

enumFrom :: DBusServerFlags -> [DBusServerFlags]

enumFromThen :: DBusServerFlags -> DBusServerFlags -> [DBusServerFlags]

enumFromTo :: DBusServerFlags -> DBusServerFlags -> [DBusServerFlags]

enumFromThenTo :: DBusServerFlags -> DBusServerFlags -> DBusServerFlags -> [DBusServerFlags]

Eq DBusServerFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DBusServerFlags -> DBusServerFlags -> Bool # (/=) :: DBusServerFlags -> DBusServerFlags -> Bool #
Ord DBusServerFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DBusServerFlags -> DBusServerFlags -> Ordering

(<) :: DBusServerFlags -> DBusServerFlags -> Bool

(<=) :: DBusServerFlags -> DBusServerFlags -> Bool

(>) :: DBusServerFlags -> DBusServerFlags -> Bool

(>=) :: DBusServerFlags -> DBusServerFlags -> Bool

max :: DBusServerFlags -> DBusServerFlags -> DBusServerFlags

min :: DBusServerFlags -> DBusServerFlags -> DBusServerFlags

Show DBusServerFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DBusServerFlags -> ShowS # show :: DBusServerFlags -> String # showList :: [DBusServerFlags] -> ShowS #
IsGFlag DBusServerFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DBusServerFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject DBusServerFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes DBusServerFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes DBusServerFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes DBusServerFlags = '[] :: [Type]

## DBusSignalFlags

data DBusSignalFlags Source #

Flags used when subscribing to signals via `dBusConnectionSignalSubscribe`.

Since: 2.26

Constructors

DBusSignalFlagsNone | No flags set.
DBusSignalFlagsNoMatchRule | Don't actually send the AddMatch D-Bus call for this signal subscription. This gives you more control over which match rules you add (but you must add them manually).
DBusSignalFlagsMatchArg0Namespace | Match first arguments that contain a bus or interface name with the given namespace.
DBusSignalFlagsMatchArg0Path | Match first arguments that contain an object path that is either equivalent to the given path, or one of the paths is a subpath of the other.
AnotherDBusSignalFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum DBusSignalFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DBusSignalFlags -> DBusSignalFlags

pred :: DBusSignalFlags -> DBusSignalFlags

toEnum :: Int -> DBusSignalFlags #

fromEnum :: DBusSignalFlags -> Int #

enumFrom :: DBusSignalFlags -> [DBusSignalFlags]

enumFromThen :: DBusSignalFlags -> DBusSignalFlags -> [DBusSignalFlags]

enumFromTo :: DBusSignalFlags -> DBusSignalFlags -> [DBusSignalFlags]

enumFromThenTo :: DBusSignalFlags -> DBusSignalFlags -> DBusSignalFlags -> [DBusSignalFlags]

Eq DBusSignalFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DBusSignalFlags -> DBusSignalFlags -> Bool # (/=) :: DBusSignalFlags -> DBusSignalFlags -> Bool #
Ord DBusSignalFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DBusSignalFlags -> DBusSignalFlags -> Ordering

(<) :: DBusSignalFlags -> DBusSignalFlags -> Bool

(<=) :: DBusSignalFlags -> DBusSignalFlags -> Bool

(>) :: DBusSignalFlags -> DBusSignalFlags -> Bool

(>=) :: DBusSignalFlags -> DBusSignalFlags -> Bool

max :: DBusSignalFlags -> DBusSignalFlags -> DBusSignalFlags

min :: DBusSignalFlags -> DBusSignalFlags -> DBusSignalFlags

Show DBusSignalFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DBusSignalFlags -> ShowS # show :: DBusSignalFlags -> String # showList :: [DBusSignalFlags] -> ShowS #
IsGFlag DBusSignalFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DBusSignalFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject DBusSignalFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes DBusSignalFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes DBusSignalFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes DBusSignalFlags = '[] :: [Type]

## DBusSubtreeFlags

data DBusSubtreeFlags Source #

Flags passed to `dBusConnectionRegisterSubtree`.

Since: 2.26

Constructors

DBusSubtreeFlagsNone | No flags set.
DBusSubtreeFlagsDispatchToUnenumeratedNodes | Method calls to objects not in the enumerated range will still be dispatched. This is useful if you want to dynamically spawn objects in the subtree.
AnotherDBusSubtreeFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum DBusSubtreeFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DBusSubtreeFlags -> DBusSubtreeFlags

pred :: DBusSubtreeFlags -> DBusSubtreeFlags

toEnum :: Int -> DBusSubtreeFlags #

fromEnum :: DBusSubtreeFlags -> Int #

enumFrom :: DBusSubtreeFlags -> [DBusSubtreeFlags]

enumFromThen :: DBusSubtreeFlags -> DBusSubtreeFlags -> [DBusSubtreeFlags]

enumFromTo :: DBusSubtreeFlags -> DBusSubtreeFlags -> [DBusSubtreeFlags]

enumFromThenTo :: DBusSubtreeFlags -> DBusSubtreeFlags -> DBusSubtreeFlags -> [DBusSubtreeFlags]

Eq DBusSubtreeFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DBusSubtreeFlags -> DBusSubtreeFlags -> Bool # (/=) :: DBusSubtreeFlags -> DBusSubtreeFlags -> Bool #
Ord DBusSubtreeFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DBusSubtreeFlags -> DBusSubtreeFlags -> Ordering

(<) :: DBusSubtreeFlags -> DBusSubtreeFlags -> Bool

(<=) :: DBusSubtreeFlags -> DBusSubtreeFlags -> Bool

(>) :: DBusSubtreeFlags -> DBusSubtreeFlags -> Bool

(>=) :: DBusSubtreeFlags -> DBusSubtreeFlags -> Bool

max :: DBusSubtreeFlags -> DBusSubtreeFlags -> DBusSubtreeFlags

min :: DBusSubtreeFlags -> DBusSubtreeFlags -> DBusSubtreeFlags

Show DBusSubtreeFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DBusSubtreeFlags -> ShowS # show :: DBusSubtreeFlags -> String # showList :: [DBusSubtreeFlags] -> ShowS #
IsGFlag DBusSubtreeFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DBusSubtreeFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject DBusSubtreeFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes DBusSubtreeFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes DBusSubtreeFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes DBusSubtreeFlags = '[] :: [Type]

## DriveStartFlags

data DriveStartFlags Source #

Flags used when starting a drive.

Since: 2.22

Constructors

DriveStartFlagsNone | No flags set.
AnotherDriveStartFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum DriveStartFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DriveStartFlags -> DriveStartFlags

pred :: DriveStartFlags -> DriveStartFlags

toEnum :: Int -> DriveStartFlags #

fromEnum :: DriveStartFlags -> Int #

enumFrom :: DriveStartFlags -> [DriveStartFlags]

enumFromThen :: DriveStartFlags -> DriveStartFlags -> [DriveStartFlags]

enumFromTo :: DriveStartFlags -> DriveStartFlags -> [DriveStartFlags]

enumFromThenTo :: DriveStartFlags -> DriveStartFlags -> DriveStartFlags -> [DriveStartFlags]

Eq DriveStartFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DriveStartFlags -> DriveStartFlags -> Bool # (/=) :: DriveStartFlags -> DriveStartFlags -> Bool #
Ord DriveStartFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DriveStartFlags -> DriveStartFlags -> Ordering

(<) :: DriveStartFlags -> DriveStartFlags -> Bool

(<=) :: DriveStartFlags -> DriveStartFlags -> Bool

(>) :: DriveStartFlags -> DriveStartFlags -> Bool

(>=) :: DriveStartFlags -> DriveStartFlags -> Bool

max :: DriveStartFlags -> DriveStartFlags -> DriveStartFlags

min :: DriveStartFlags -> DriveStartFlags -> DriveStartFlags

Show DriveStartFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DriveStartFlags -> ShowS # show :: DriveStartFlags -> String # showList :: [DriveStartFlags] -> ShowS #
IsGFlag DriveStartFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DriveStartFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject DriveStartFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes DriveStartFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes DriveStartFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes DriveStartFlags = '[] :: [Type]

## FileAttributeInfoFlags

data FileAttributeInfoFlags Source #

Flags specifying the behaviour of an attribute.

Constructors

FileAttributeInfoFlagsNone | no flags set.
FileAttributeInfoFlagsCopyWithFile | copy the attribute values when the file is copied.
FileAttributeInfoFlagsCopyWhenMoved | copy the attribute values when the file is moved.
AnotherFileAttributeInfoFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum FileAttributeInfoFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: FileAttributeInfoFlags -> FileAttributeInfoFlags

pred :: FileAttributeInfoFlags -> FileAttributeInfoFlags

toEnum :: Int -> FileAttributeInfoFlags #

fromEnum :: FileAttributeInfoFlags -> Int #

enumFrom :: FileAttributeInfoFlags -> [FileAttributeInfoFlags]

enumFromThen :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> [FileAttributeInfoFlags]

enumFromTo :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> [FileAttributeInfoFlags]

enumFromThenTo :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> FileAttributeInfoFlags -> [FileAttributeInfoFlags]

Eq FileAttributeInfoFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Bool # (/=) :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Bool #
Ord FileAttributeInfoFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Ordering

(<) :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Bool

(<=) :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Bool

(>) :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Bool

(>=) :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Bool

max :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> FileAttributeInfoFlags

min :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> FileAttributeInfoFlags

Show FileAttributeInfoFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> FileAttributeInfoFlags -> ShowS # show :: FileAttributeInfoFlags -> String # showList :: [FileAttributeInfoFlags] -> ShowS #
IsGFlag FileAttributeInfoFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags FileAttributeInfoFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject FileAttributeInfoFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes FileAttributeInfoFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes FileAttributeInfoFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes FileAttributeInfoFlags = '[] :: [Type]

## FileCopyFlags

data FileCopyFlags Source #

Flags used when copying or moving files.

Constructors

FileCopyFlagsNone | No flags set.
FileCopyFlagsOverwrite | Overwrite any existing files
FileCopyFlagsBackup | Make a backup of any existing files.
FileCopyFlagsNofollowSymlinks | Don't follow symlinks.
FileCopyFlagsAllMetadata | Copy all file metadata instead of just default set used for copy (see `FileInfo`).
FileCopyFlagsNoFallbackForMove | Don't use copy and delete fallback if native move not supported.
FileCopyFlagsTargetDefaultPerms | Leaves target file with default perms, instead of setting the source file perms.
AnotherFileCopyFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum FileCopyFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: FileCopyFlags -> FileCopyFlags

pred :: FileCopyFlags -> FileCopyFlags

toEnum :: Int -> FileCopyFlags #

fromEnum :: FileCopyFlags -> Int #

enumFrom :: FileCopyFlags -> [FileCopyFlags]

enumFromThen :: FileCopyFlags -> FileCopyFlags -> [FileCopyFlags]

enumFromTo :: FileCopyFlags -> FileCopyFlags -> [FileCopyFlags]

enumFromThenTo :: FileCopyFlags -> FileCopyFlags -> FileCopyFlags -> [FileCopyFlags]

Eq FileCopyFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: FileCopyFlags -> FileCopyFlags -> Bool # (/=) :: FileCopyFlags -> FileCopyFlags -> Bool #
Ord FileCopyFlags Source # |
Instance details Defined in GI.Gio.Flags Methods compare :: FileCopyFlags -> FileCopyFlags -> Ordering (<) :: FileCopyFlags -> FileCopyFlags -> Bool (<=) :: FileCopyFlags -> FileCopyFlags -> Bool (>) :: FileCopyFlags -> FileCopyFlags -> Bool (>=) :: FileCopyFlags -> FileCopyFlags -> Bool max :: FileCopyFlags -> FileCopyFlags -> FileCopyFlags min :: FileCopyFlags -> FileCopyFlags -> FileCopyFlags
Show FileCopyFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> FileCopyFlags -> ShowS # show :: FileCopyFlags -> String # showList :: [FileCopyFlags] -> ShowS #
IsGFlag FileCopyFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags FileCopyFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject FileCopyFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes FileCopyFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes FileCopyFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes FileCopyFlags = '[] :: [Type]

## FileCreateFlags

data FileCreateFlags Source #

Flags used when an operation may create a file.

Constructors

FileCreateFlagsNone | No flags set.
FileCreateFlagsPrivate | Create a file that can only be accessed by the current user.

FileCreateFlagsReplaceDestination

Replace the destination as if it didn't exist before. Don't try to keep any old permissions, replace instead of following links. This is generally useful if you're doing a "copy over" rather than a "save new version of" replace operation. You can think of it as "unlink destination" before writing to it, although the implementation may not be exactly like that. This flag can only be used with `fileReplace` and its variants, including `fileReplaceContents`. Since 2.20

AnotherFileCreateFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum FileCreateFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: FileCreateFlags -> FileCreateFlags

pred :: FileCreateFlags -> FileCreateFlags

toEnum :: Int -> FileCreateFlags #

fromEnum :: FileCreateFlags -> Int #

enumFrom :: FileCreateFlags -> [FileCreateFlags]

enumFromThen :: FileCreateFlags -> FileCreateFlags -> [FileCreateFlags]

enumFromTo :: FileCreateFlags -> FileCreateFlags -> [FileCreateFlags]

enumFromThenTo :: FileCreateFlags -> FileCreateFlags -> FileCreateFlags -> [FileCreateFlags]

Eq FileCreateFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: FileCreateFlags -> FileCreateFlags -> Bool # (/=) :: FileCreateFlags -> FileCreateFlags -> Bool #
Ord FileCreateFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: FileCreateFlags -> FileCreateFlags -> Ordering

(<) :: FileCreateFlags -> FileCreateFlags -> Bool

(<=) :: FileCreateFlags -> FileCreateFlags -> Bool

(>) :: FileCreateFlags -> FileCreateFlags -> Bool

(>=) :: FileCreateFlags -> FileCreateFlags -> Bool

max :: FileCreateFlags -> FileCreateFlags -> FileCreateFlags

min :: FileCreateFlags -> FileCreateFlags -> FileCreateFlags

Show FileCreateFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> FileCreateFlags -> ShowS # show :: FileCreateFlags -> String # showList :: [FileCreateFlags] -> ShowS #
IsGFlag FileCreateFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags FileCreateFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject FileCreateFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes FileCreateFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes FileCreateFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes FileCreateFlags = '[] :: [Type]

## FileMeasureFlags

data FileMeasureFlags Source #

Flags that can be used with `g_file_measure_disk_usage()`.

Since: 2.38

Constructors

FileMeasureFlagsNone | No flags set.
FileMeasureFlagsReportAnyError | Report any error encountered while traversing the directory tree. Normally errors are only reported for the toplevel file.
FileMeasureFlagsApparentSize | Tally usage based on apparent file sizes. Normally, the block-size is used, if available, as this is a more accurate representation of disk space used. Compare with `du --apparent-size`.
FileMeasureFlagsNoXdev | Do not cross mount point boundaries. Compare with `du -x`.
AnotherFileMeasureFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum FileMeasureFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: FileMeasureFlags -> FileMeasureFlags

pred :: FileMeasureFlags -> FileMeasureFlags

toEnum :: Int -> FileMeasureFlags #

fromEnum :: FileMeasureFlags -> Int #

enumFrom :: FileMeasureFlags -> [FileMeasureFlags]

enumFromThen :: FileMeasureFlags -> FileMeasureFlags -> [FileMeasureFlags]

enumFromTo :: FileMeasureFlags -> FileMeasureFlags -> [FileMeasureFlags]

enumFromThenTo :: FileMeasureFlags -> FileMeasureFlags -> FileMeasureFlags -> [FileMeasureFlags]

Eq FileMeasureFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: FileMeasureFlags -> FileMeasureFlags -> Bool # (/=) :: FileMeasureFlags -> FileMeasureFlags -> Bool #
Ord FileMeasureFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: FileMeasureFlags -> FileMeasureFlags -> Ordering

(<) :: FileMeasureFlags -> FileMeasureFlags -> Bool

(<=) :: FileMeasureFlags -> FileMeasureFlags -> Bool

(>) :: FileMeasureFlags -> FileMeasureFlags -> Bool

(>=) :: FileMeasureFlags -> FileMeasureFlags -> Bool

max :: FileMeasureFlags -> FileMeasureFlags -> FileMeasureFlags

min :: FileMeasureFlags -> FileMeasureFlags -> FileMeasureFlags

Show FileMeasureFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> FileMeasureFlags -> ShowS # show :: FileMeasureFlags -> String # showList :: [FileMeasureFlags] -> ShowS #
IsGFlag FileMeasureFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags FileMeasureFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject FileMeasureFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes FileMeasureFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes FileMeasureFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes FileMeasureFlags = '[] :: [Type]

## FileMonitorFlags

data FileMonitorFlags Source #

Flags used to set what a `FileMonitor` will watch for.

Constructors

FileMonitorFlagsNone | No flags set.
FileMonitorFlagsWatchMounts | Watch for mount events.
FileMonitorFlagsSendMoved | Pair DELETED and CREATED events caused by file renames (moves) and send a single G_FILE_MONITOR_EVENT_MOVED event instead (NB: not supported on all backends; the default behaviour -without specifying this flag- is to send single DELETED and CREATED events). Deprecated since 2.46: use `FileMonitorFlagsWatchMoves` instead.
FileMonitorFlagsWatchHardLinks | Watch for changes to the file made via another hard link. Since 2.36.
FileMonitorFlagsWatchMoves | Watch for rename operations on a monitored directory. This causes `FileMonitorEventRenamed`, `FileMonitorEventMovedIn` and `FileMonitorEventMovedOut` events to be emitted when possible. Since: 2.46.
AnotherFileMonitorFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum FileMonitorFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: FileMonitorFlags -> FileMonitorFlags

pred :: FileMonitorFlags -> FileMonitorFlags

toEnum :: Int -> FileMonitorFlags #

fromEnum :: FileMonitorFlags -> Int #

enumFrom :: FileMonitorFlags -> [FileMonitorFlags]

enumFromThen :: FileMonitorFlags -> FileMonitorFlags -> [FileMonitorFlags]

enumFromTo :: FileMonitorFlags -> FileMonitorFlags -> [FileMonitorFlags]

enumFromThenTo :: FileMonitorFlags -> FileMonitorFlags -> FileMonitorFlags -> [FileMonitorFlags]

Eq FileMonitorFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: FileMonitorFlags -> FileMonitorFlags -> Bool # (/=) :: FileMonitorFlags -> FileMonitorFlags -> Bool #
Ord FileMonitorFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: FileMonitorFlags -> FileMonitorFlags -> Ordering

(<) :: FileMonitorFlags -> FileMonitorFlags -> Bool

(<=) :: FileMonitorFlags -> FileMonitorFlags -> Bool

(>) :: FileMonitorFlags -> FileMonitorFlags -> Bool

(>=) :: FileMonitorFlags -> FileMonitorFlags -> Bool

max :: FileMonitorFlags -> FileMonitorFlags -> FileMonitorFlags

min :: FileMonitorFlags -> FileMonitorFlags -> FileMonitorFlags

Show FileMonitorFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> FileMonitorFlags -> ShowS # show :: FileMonitorFlags -> String # showList :: [FileMonitorFlags] -> ShowS #
IsGFlag FileMonitorFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags FileMonitorFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject FileMonitorFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes FileMonitorFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes FileMonitorFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes FileMonitorFlags = '[] :: [Type]

## FileQueryInfoFlags

data FileQueryInfoFlags Source #

Flags used when querying a `FileInfo`.

Constructors

FileQueryInfoFlagsNone | No flags set.
FileQueryInfoFlagsNofollowSymlinks | Don't follow symlinks.
AnotherFileQueryInfoFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum FileQueryInfoFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: FileQueryInfoFlags -> FileQueryInfoFlags

pred :: FileQueryInfoFlags -> FileQueryInfoFlags

toEnum :: Int -> FileQueryInfoFlags #

fromEnum :: FileQueryInfoFlags -> Int #

enumFrom :: FileQueryInfoFlags -> [FileQueryInfoFlags]

enumFromThen :: FileQueryInfoFlags -> FileQueryInfoFlags -> [FileQueryInfoFlags]

enumFromTo :: FileQueryInfoFlags -> FileQueryInfoFlags -> [FileQueryInfoFlags]

enumFromThenTo :: FileQueryInfoFlags -> FileQueryInfoFlags -> FileQueryInfoFlags -> [FileQueryInfoFlags]

Eq FileQueryInfoFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: FileQueryInfoFlags -> FileQueryInfoFlags -> Bool # (/=) :: FileQueryInfoFlags -> FileQueryInfoFlags -> Bool #
Ord FileQueryInfoFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: FileQueryInfoFlags -> FileQueryInfoFlags -> Ordering

(<) :: FileQueryInfoFlags -> FileQueryInfoFlags -> Bool

(<=) :: FileQueryInfoFlags -> FileQueryInfoFlags -> Bool

(>) :: FileQueryInfoFlags -> FileQueryInfoFlags -> Bool

(>=) :: FileQueryInfoFlags -> FileQueryInfoFlags -> Bool

max :: FileQueryInfoFlags -> FileQueryInfoFlags -> FileQueryInfoFlags

min :: FileQueryInfoFlags -> FileQueryInfoFlags -> FileQueryInfoFlags

Show FileQueryInfoFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> FileQueryInfoFlags -> ShowS # show :: FileQueryInfoFlags -> String # showList :: [FileQueryInfoFlags] -> ShowS #
IsGFlag FileQueryInfoFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags FileQueryInfoFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject FileQueryInfoFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes FileQueryInfoFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes FileQueryInfoFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes FileQueryInfoFlags = '[] :: [Type]

## IOStreamSpliceFlags

data IOStreamSpliceFlags Source #

GIOStreamSpliceFlags determine how streams should be spliced.

Since: 2.28

Constructors

IOStreamSpliceFlagsNone | Do not close either stream.
IOStreamSpliceFlagsCloseStream1 | Close the first stream after the splice.
IOStreamSpliceFlagsCloseStream2 | Close the second stream after the splice.
IOStreamSpliceFlagsWaitForBoth | Wait for both splice operations to finish before calling the callback.
AnotherIOStreamSpliceFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum IOStreamSpliceFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: IOStreamSpliceFlags -> IOStreamSpliceFlags

pred :: IOStreamSpliceFlags -> IOStreamSpliceFlags

toEnum :: Int -> IOStreamSpliceFlags #

fromEnum :: IOStreamSpliceFlags -> Int #

enumFrom :: IOStreamSpliceFlags -> [IOStreamSpliceFlags]

enumFromThen :: IOStreamSpliceFlags -> IOStreamSpliceFlags -> [IOStreamSpliceFlags]

enumFromTo :: IOStreamSpliceFlags -> IOStreamSpliceFlags -> [IOStreamSpliceFlags]

enumFromThenTo :: IOStreamSpliceFlags -> IOStreamSpliceFlags -> IOStreamSpliceFlags -> [IOStreamSpliceFlags]

Eq IOStreamSpliceFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: IOStreamSpliceFlags -> IOStreamSpliceFlags -> Bool # (/=) :: IOStreamSpliceFlags -> IOStreamSpliceFlags -> Bool #
Ord IOStreamSpliceFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: IOStreamSpliceFlags -> IOStreamSpliceFlags -> Ordering

(<) :: IOStreamSpliceFlags -> IOStreamSpliceFlags -> Bool

(<=) :: IOStreamSpliceFlags -> IOStreamSpliceFlags -> Bool

(>) :: IOStreamSpliceFlags -> IOStreamSpliceFlags -> Bool

(>=) :: IOStreamSpliceFlags -> IOStreamSpliceFlags -> Bool

max :: IOStreamSpliceFlags -> IOStreamSpliceFlags -> IOStreamSpliceFlags

min :: IOStreamSpliceFlags -> IOStreamSpliceFlags -> IOStreamSpliceFlags

Show IOStreamSpliceFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> IOStreamSpliceFlags -> ShowS # show :: IOStreamSpliceFlags -> String # showList :: [IOStreamSpliceFlags] -> ShowS #
IsGFlag IOStreamSpliceFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags IOStreamSpliceFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject IOStreamSpliceFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes IOStreamSpliceFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes IOStreamSpliceFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes IOStreamSpliceFlags = '[] :: [Type]

## MountMountFlags

data MountMountFlags Source #

Flags used when mounting a mount.

Constructors

MountMountFlagsNone | No flags set.
AnotherMountMountFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum MountMountFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: MountMountFlags -> MountMountFlags

pred :: MountMountFlags -> MountMountFlags

toEnum :: Int -> MountMountFlags #

fromEnum :: MountMountFlags -> Int #

enumFrom :: MountMountFlags -> [MountMountFlags]

enumFromThen :: MountMountFlags -> MountMountFlags -> [MountMountFlags]

enumFromTo :: MountMountFlags -> MountMountFlags -> [MountMountFlags]

enumFromThenTo :: MountMountFlags -> MountMountFlags -> MountMountFlags -> [MountMountFlags]

Eq MountMountFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: MountMountFlags -> MountMountFlags -> Bool # (/=) :: MountMountFlags -> MountMountFlags -> Bool #
Ord MountMountFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: MountMountFlags -> MountMountFlags -> Ordering

(<) :: MountMountFlags -> MountMountFlags -> Bool

(<=) :: MountMountFlags -> MountMountFlags -> Bool

(>) :: MountMountFlags -> MountMountFlags -> Bool

(>=) :: MountMountFlags -> MountMountFlags -> Bool

max :: MountMountFlags -> MountMountFlags -> MountMountFlags

min :: MountMountFlags -> MountMountFlags -> MountMountFlags

Show MountMountFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> MountMountFlags -> ShowS # show :: MountMountFlags -> String # showList :: [MountMountFlags] -> ShowS #
IsGFlag MountMountFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags MountMountFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject MountMountFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes MountMountFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes MountMountFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes MountMountFlags = '[] :: [Type]

## MountUnmountFlags

data MountUnmountFlags Source #

Flags used when an unmounting a mount.

Constructors

MountUnmountFlagsNone | No flags set.
MountUnmountFlagsForce | Unmount even if there are outstanding file operations on the mount.
AnotherMountUnmountFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum MountUnmountFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: MountUnmountFlags -> MountUnmountFlags

pred :: MountUnmountFlags -> MountUnmountFlags

toEnum :: Int -> MountUnmountFlags #

fromEnum :: MountUnmountFlags -> Int #

enumFrom :: MountUnmountFlags -> [MountUnmountFlags]

enumFromThen :: MountUnmountFlags -> MountUnmountFlags -> [MountUnmountFlags]

enumFromTo :: MountUnmountFlags -> MountUnmountFlags -> [MountUnmountFlags]

enumFromThenTo :: MountUnmountFlags -> MountUnmountFlags -> MountUnmountFlags -> [MountUnmountFlags]

Eq MountUnmountFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: MountUnmountFlags -> MountUnmountFlags -> Bool # (/=) :: MountUnmountFlags -> MountUnmountFlags -> Bool #
Ord MountUnmountFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: MountUnmountFlags -> MountUnmountFlags -> Ordering

(<) :: MountUnmountFlags -> MountUnmountFlags -> Bool

(<=) :: MountUnmountFlags -> MountUnmountFlags -> Bool

(>) :: MountUnmountFlags -> MountUnmountFlags -> Bool

(>=) :: MountUnmountFlags -> MountUnmountFlags -> Bool

max :: MountUnmountFlags -> MountUnmountFlags -> MountUnmountFlags

min :: MountUnmountFlags -> MountUnmountFlags -> MountUnmountFlags

Show MountUnmountFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> MountUnmountFlags -> ShowS # show :: MountUnmountFlags -> String # showList :: [MountUnmountFlags] -> ShowS #
IsGFlag MountUnmountFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags MountUnmountFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject MountUnmountFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes MountUnmountFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes MountUnmountFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes MountUnmountFlags = '[] :: [Type]

## OutputStreamSpliceFlags

data OutputStreamSpliceFlags Source #

GOutputStreamSpliceFlags determine how streams should be spliced.

Constructors

OutputStreamSpliceFlagsNone | Do not close either stream.
OutputStreamSpliceFlagsCloseSource | Close the source stream after the splice.
OutputStreamSpliceFlagsCloseTarget | Close the target stream after the splice.
AnotherOutputStreamSpliceFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum OutputStreamSpliceFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags

pred :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags

toEnum :: Int -> OutputStreamSpliceFlags #

fromEnum :: OutputStreamSpliceFlags -> Int #

enumFrom :: OutputStreamSpliceFlags -> [OutputStreamSpliceFlags]

enumFromThen :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> [OutputStreamSpliceFlags]

enumFromTo :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> [OutputStreamSpliceFlags]

enumFromThenTo :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> [OutputStreamSpliceFlags]

Eq OutputStreamSpliceFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> Bool # (/=) :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> Bool #
Ord OutputStreamSpliceFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> Ordering

(<) :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> Bool

(<=) :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> Bool

(>) :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> Bool

(>=) :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> Bool

max :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> OutputStreamSpliceFlags

min :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> OutputStreamSpliceFlags

Show OutputStreamSpliceFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> OutputStreamSpliceFlags -> ShowS # show :: OutputStreamSpliceFlags -> String # showList :: [OutputStreamSpliceFlags] -> ShowS #
IsGFlag OutputStreamSpliceFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags OutputStreamSpliceFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject OutputStreamSpliceFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes OutputStreamSpliceFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes OutputStreamSpliceFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes OutputStreamSpliceFlags = '[] :: [Type]

## ResolverNameLookupFlags

data ResolverNameLookupFlags Source #

Flags to modify lookup behavior.

Since: 2.60

Constructors

ResolverNameLookupFlagsDefault | default behavior (same as `resolverLookupByName`)
ResolverNameLookupFlagsIpv4Only | only resolve ipv4 addresses
ResolverNameLookupFlagsIpv6Only | only resolve ipv6 addresses
AnotherResolverNameLookupFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum ResolverNameLookupFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: ResolverNameLookupFlags -> ResolverNameLookupFlags

pred :: ResolverNameLookupFlags -> ResolverNameLookupFlags

toEnum :: Int -> ResolverNameLookupFlags #

fromEnum :: ResolverNameLookupFlags -> Int #

enumFrom :: ResolverNameLookupFlags -> [ResolverNameLookupFlags]

enumFromThen :: ResolverNameLookupFlags -> ResolverNameLookupFlags -> [ResolverNameLookupFlags]

enumFromTo :: ResolverNameLookupFlags -> ResolverNameLookupFlags -> [ResolverNameLookupFlags]

enumFromThenTo :: ResolverNameLookupFlags -> ResolverNameLookupFlags -> ResolverNameLookupFlags -> [ResolverNameLookupFlags]

Eq ResolverNameLookupFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: ResolverNameLookupFlags -> ResolverNameLookupFlags -> Bool # (/=) :: ResolverNameLookupFlags -> ResolverNameLookupFlags -> Bool #
Ord ResolverNameLookupFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: ResolverNameLookupFlags -> ResolverNameLookupFlags -> Ordering

(<) :: ResolverNameLookupFlags -> ResolverNameLookupFlags -> Bool

(<=) :: ResolverNameLookupFlags -> ResolverNameLookupFlags -> Bool

(>) :: ResolverNameLookupFlags -> ResolverNameLookupFlags -> Bool

(>=) :: ResolverNameLookupFlags -> ResolverNameLookupFlags -> Bool

max :: ResolverNameLookupFlags -> ResolverNameLookupFlags -> ResolverNameLookupFlags

min :: ResolverNameLookupFlags -> ResolverNameLookupFlags -> ResolverNameLookupFlags

Show ResolverNameLookupFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> ResolverNameLookupFlags -> ShowS # show :: ResolverNameLookupFlags -> String # showList :: [ResolverNameLookupFlags] -> ShowS #
IsGFlag ResolverNameLookupFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags ResolverNameLookupFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject ResolverNameLookupFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes ResolverNameLookupFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes ResolverNameLookupFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes ResolverNameLookupFlags = '[] :: [Type]

## ResourceFlags

data ResourceFlags Source #

GResourceFlags give information about a particular file inside a resource bundle.

Since: 2.32

Constructors

ResourceFlagsNone | No flags set.
ResourceFlagsCompressed | The file is compressed.
AnotherResourceFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum ResourceFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: ResourceFlags -> ResourceFlags

pred :: ResourceFlags -> ResourceFlags

toEnum :: Int -> ResourceFlags #

fromEnum :: ResourceFlags -> Int #

enumFrom :: ResourceFlags -> [ResourceFlags]

enumFromThen :: ResourceFlags -> ResourceFlags -> [ResourceFlags]

enumFromTo :: ResourceFlags -> ResourceFlags -> [ResourceFlags]

enumFromThenTo :: ResourceFlags -> ResourceFlags -> ResourceFlags -> [ResourceFlags]

Eq ResourceFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: ResourceFlags -> ResourceFlags -> Bool # (/=) :: ResourceFlags -> ResourceFlags -> Bool #
Ord ResourceFlags Source # |
Instance details Defined in GI.Gio.Flags Methods compare :: ResourceFlags -> ResourceFlags -> Ordering (<) :: ResourceFlags -> ResourceFlags -> Bool (<=) :: ResourceFlags -> ResourceFlags -> Bool (>) :: ResourceFlags -> ResourceFlags -> Bool (>=) :: ResourceFlags -> ResourceFlags -> Bool max :: ResourceFlags -> ResourceFlags -> ResourceFlags min :: ResourceFlags -> ResourceFlags -> ResourceFlags
Show ResourceFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> ResourceFlags -> ShowS # show :: ResourceFlags -> String # showList :: [ResourceFlags] -> ShowS #
IsGFlag ResourceFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags ResourceFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject ResourceFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes ResourceFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes ResourceFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes ResourceFlags = '[] :: [Type]

## ResourceLookupFlags

data ResourceLookupFlags Source #

GResourceLookupFlags determine how resource path lookups are handled.

Since: 2.32

Constructors

ResourceLookupFlagsNone | No flags set.
AnotherResourceLookupFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum ResourceLookupFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: ResourceLookupFlags -> ResourceLookupFlags

pred :: ResourceLookupFlags -> ResourceLookupFlags

toEnum :: Int -> ResourceLookupFlags #

fromEnum :: ResourceLookupFlags -> Int #

enumFrom :: ResourceLookupFlags -> [ResourceLookupFlags]

enumFromThen :: ResourceLookupFlags -> ResourceLookupFlags -> [ResourceLookupFlags]

enumFromTo :: ResourceLookupFlags -> ResourceLookupFlags -> [ResourceLookupFlags]

enumFromThenTo :: ResourceLookupFlags -> ResourceLookupFlags -> ResourceLookupFlags -> [ResourceLookupFlags]

Eq ResourceLookupFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: ResourceLookupFlags -> ResourceLookupFlags -> Bool # (/=) :: ResourceLookupFlags -> ResourceLookupFlags -> Bool #
Ord ResourceLookupFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: ResourceLookupFlags -> ResourceLookupFlags -> Ordering

(<) :: ResourceLookupFlags -> ResourceLookupFlags -> Bool

(<=) :: ResourceLookupFlags -> ResourceLookupFlags -> Bool

(>) :: ResourceLookupFlags -> ResourceLookupFlags -> Bool

(>=) :: ResourceLookupFlags -> ResourceLookupFlags -> Bool

max :: ResourceLookupFlags -> ResourceLookupFlags -> ResourceLookupFlags

min :: ResourceLookupFlags -> ResourceLookupFlags -> ResourceLookupFlags

Show ResourceLookupFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> ResourceLookupFlags -> ShowS # show :: ResourceLookupFlags -> String # showList :: [ResourceLookupFlags] -> ShowS #
IsGFlag ResourceLookupFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags ResourceLookupFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject ResourceLookupFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes ResourceLookupFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes ResourceLookupFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes ResourceLookupFlags = '[] :: [Type]

## SettingsBindFlags

data SettingsBindFlags Source #

Flags used when creating a binding. These flags determine in which direction the binding works. The default is to synchronize in both directions.

Constructors

SettingsBindFlagsDefault | Equivalent to `G_SETTINGS_BIND_GET|G_SETTINGS_BIND_SET`
SettingsBindFlagsGet | Update the `Object` property when the setting changes. It is an error to use this flag if the property is not writable.
SettingsBindFlagsSet | Update the setting when the `Object` property changes. It is an error to use this flag if the property is not readable.
SettingsBindFlagsNoSensitivity | Do not try to bind a "sensitivity" property to the writability of the setting
SettingsBindFlagsGetNoChanges | When set in addition to `G_SETTINGS_BIND_GET`, set the `Object` property value initially from the setting, but do not listen for changes of the setting
SettingsBindFlagsInvertBoolean | When passed to `settingsBind`, uses a pair of mapping functions that invert the boolean value when mapping between the setting and the property. The setting and property must both be booleans. You cannot pass this flag to `g_settings_bind_with_mapping()`.
AnotherSettingsBindFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum SettingsBindFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: SettingsBindFlags -> SettingsBindFlags

pred :: SettingsBindFlags -> SettingsBindFlags

toEnum :: Int -> SettingsBindFlags #

fromEnum :: SettingsBindFlags -> Int #

enumFrom :: SettingsBindFlags -> [SettingsBindFlags]

enumFromThen :: SettingsBindFlags -> SettingsBindFlags -> [SettingsBindFlags]

enumFromTo :: SettingsBindFlags -> SettingsBindFlags -> [SettingsBindFlags]

enumFromThenTo :: SettingsBindFlags -> SettingsBindFlags -> SettingsBindFlags -> [SettingsBindFlags]

Eq SettingsBindFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: SettingsBindFlags -> SettingsBindFlags -> Bool # (/=) :: SettingsBindFlags -> SettingsBindFlags -> Bool #
Ord SettingsBindFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: SettingsBindFlags -> SettingsBindFlags -> Ordering

(<) :: SettingsBindFlags -> SettingsBindFlags -> Bool

(<=) :: SettingsBindFlags -> SettingsBindFlags -> Bool

(>) :: SettingsBindFlags -> SettingsBindFlags -> Bool

(>=) :: SettingsBindFlags -> SettingsBindFlags -> Bool

max :: SettingsBindFlags -> SettingsBindFlags -> SettingsBindFlags

min :: SettingsBindFlags -> SettingsBindFlags -> SettingsBindFlags

Show SettingsBindFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> SettingsBindFlags -> ShowS # show :: SettingsBindFlags -> String # showList :: [SettingsBindFlags] -> ShowS #
IsGFlag SettingsBindFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags SettingsBindFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject SettingsBindFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes SettingsBindFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes SettingsBindFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes SettingsBindFlags = '[] :: [Type]

## SocketMsgFlags

data SocketMsgFlags Source #

Flags used in `socketReceiveMessage` and `socketSendMessage`. The flags listed in the enum are some commonly available flags, but the values used for them are the same as on the platform, and any other flags are passed in/out as is. So to use a platform specific flag, just include the right system header and pass in the flag.

Since: 2.22

Constructors

SocketMsgFlagsNone | No flags.
SocketMsgFlagsOob | Request to send/receive out of band data.
SocketMsgFlagsPeek | Read data from the socket without removing it from the queue.
SocketMsgFlagsDontroute | Don't use a gateway to send out the packet, only send to hosts on directly connected networks.
AnotherSocketMsgFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum SocketMsgFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: SocketMsgFlags -> SocketMsgFlags

pred :: SocketMsgFlags -> SocketMsgFlags

toEnum :: Int -> SocketMsgFlags #

fromEnum :: SocketMsgFlags -> Int #

enumFrom :: SocketMsgFlags -> [SocketMsgFlags]

enumFromThen :: SocketMsgFlags -> SocketMsgFlags -> [SocketMsgFlags]

enumFromTo :: SocketMsgFlags -> SocketMsgFlags -> [SocketMsgFlags]

enumFromThenTo :: SocketMsgFlags -> SocketMsgFlags -> SocketMsgFlags -> [SocketMsgFlags]

Eq SocketMsgFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: SocketMsgFlags -> SocketMsgFlags -> Bool # (/=) :: SocketMsgFlags -> SocketMsgFlags -> Bool #
Ord SocketMsgFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: SocketMsgFlags -> SocketMsgFlags -> Ordering

(<) :: SocketMsgFlags -> SocketMsgFlags -> Bool

(<=) :: SocketMsgFlags -> SocketMsgFlags -> Bool

(>) :: SocketMsgFlags -> SocketMsgFlags -> Bool

(>=) :: SocketMsgFlags -> SocketMsgFlags -> Bool

max :: SocketMsgFlags -> SocketMsgFlags -> SocketMsgFlags

min :: SocketMsgFlags -> SocketMsgFlags -> SocketMsgFlags

Show SocketMsgFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> SocketMsgFlags -> ShowS # show :: SocketMsgFlags -> String # showList :: [SocketMsgFlags] -> ShowS #
IsGFlag SocketMsgFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags SocketMsgFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject SocketMsgFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes SocketMsgFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes SocketMsgFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes SocketMsgFlags = '[] :: [Type]

## SubprocessFlags

data SubprocessFlags Source #

Flags to define the behaviour of a `Subprocess`.

Note that the default for stdin is to redirect from `/dev/null`. For stdout and stderr the default are for them to inherit the corresponding descriptor from the calling process.

Note that it is a programmer error to mix 'incompatible' flags. For example, you may not request both `SubprocessFlagsStdoutPipe` and `SubprocessFlagsStdoutSilence`.

Since: 2.40

Constructors

SubprocessFlagsNone | No flags.
SubprocessFlagsStdinPipe | create a pipe for the stdin of the spawned process that can be accessed with `subprocessGetStdinPipe`.
SubprocessFlagsStdinInherit | stdin is inherited from the calling process.
SubprocessFlagsStdoutPipe | create a pipe for the stdout of the spawned process that can be accessed with `subprocessGetStdoutPipe`.
SubprocessFlagsStdoutSilence | silence the stdout of the spawned process (ie: redirect to `/dev/null`).
SubprocessFlagsStderrPipe | create a pipe for the stderr of the spawned process that can be accessed with `subprocessGetStderrPipe`.
SubprocessFlagsStderrSilence | silence the stderr of the spawned process (ie: redirect to `/dev/null`).
SubprocessFlagsStderrMerge | merge the stderr of the spawned process with whatever the stdout happens to be. This is a good way of directing both streams to a common log file, for example.
SubprocessFlagsInheritFds | spawned processes will inherit the file descriptors of their parent, unless those descriptors have been explicitly marked as close-on-exec. This flag has no effect over the "standard" file descriptors (stdin, stdout, stderr).
AnotherSubprocessFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum SubprocessFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: SubprocessFlags -> SubprocessFlags

pred :: SubprocessFlags -> SubprocessFlags

toEnum :: Int -> SubprocessFlags #

fromEnum :: SubprocessFlags -> Int #

enumFrom :: SubprocessFlags -> [SubprocessFlags]

enumFromThen :: SubprocessFlags -> SubprocessFlags -> [SubprocessFlags]

enumFromTo :: SubprocessFlags -> SubprocessFlags -> [SubprocessFlags]

enumFromThenTo :: SubprocessFlags -> SubprocessFlags -> SubprocessFlags -> [SubprocessFlags]

Eq SubprocessFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: SubprocessFlags -> SubprocessFlags -> Bool # (/=) :: SubprocessFlags -> SubprocessFlags -> Bool #
Ord SubprocessFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: SubprocessFlags -> SubprocessFlags -> Ordering

(<) :: SubprocessFlags -> SubprocessFlags -> Bool

(<=) :: SubprocessFlags -> SubprocessFlags -> Bool

(>) :: SubprocessFlags -> SubprocessFlags -> Bool

(>=) :: SubprocessFlags -> SubprocessFlags -> Bool

max :: SubprocessFlags -> SubprocessFlags -> SubprocessFlags

min :: SubprocessFlags -> SubprocessFlags -> SubprocessFlags

Show SubprocessFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> SubprocessFlags -> ShowS # show :: SubprocessFlags -> String # showList :: [SubprocessFlags] -> ShowS #
IsGFlag SubprocessFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags SubprocessFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject SubprocessFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes SubprocessFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes SubprocessFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes SubprocessFlags = '[] :: [Type]

## TestDBusFlags

data TestDBusFlags Source #

Flags to define future `TestDBus` behaviour.

Since: 2.34

Constructors

TestDBusFlagsNone | No flags.
AnotherTestDBusFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum TestDBusFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: TestDBusFlags -> TestDBusFlags

pred :: TestDBusFlags -> TestDBusFlags

toEnum :: Int -> TestDBusFlags #

fromEnum :: TestDBusFlags -> Int #

enumFrom :: TestDBusFlags -> [TestDBusFlags]

enumFromThen :: TestDBusFlags -> TestDBusFlags -> [TestDBusFlags]

enumFromTo :: TestDBusFlags -> TestDBusFlags -> [TestDBusFlags]

enumFromThenTo :: TestDBusFlags -> TestDBusFlags -> TestDBusFlags -> [TestDBusFlags]

Eq TestDBusFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: TestDBusFlags -> TestDBusFlags -> Bool # (/=) :: TestDBusFlags -> TestDBusFlags -> Bool #
Ord TestDBusFlags Source # |
Instance details Defined in GI.Gio.Flags Methods compare :: TestDBusFlags -> TestDBusFlags -> Ordering (<) :: TestDBusFlags -> TestDBusFlags -> Bool (<=) :: TestDBusFlags -> TestDBusFlags -> Bool (>) :: TestDBusFlags -> TestDBusFlags -> Bool (>=) :: TestDBusFlags -> TestDBusFlags -> Bool max :: TestDBusFlags -> TestDBusFlags -> TestDBusFlags min :: TestDBusFlags -> TestDBusFlags -> TestDBusFlags
Show TestDBusFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> TestDBusFlags -> ShowS # show :: TestDBusFlags -> String # showList :: [TestDBusFlags] -> ShowS #
IsGFlag TestDBusFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags TestDBusFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject TestDBusFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes TestDBusFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes TestDBusFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes TestDBusFlags = '[] :: [Type]

## TlsCertificateFlags

data TlsCertificateFlags Source #

A set of flags describing TLS certification validation. This can be used to set which validation steps to perform (eg, with `tlsClientConnectionSetValidationFlags`), or to describe why a particular certificate was rejected (eg, in acceptCertificate).

Since: 2.28

Constructors

TlsCertificateFlagsUnknownCa | The signing certificate authority is not known.
TlsCertificateFlagsBadIdentity | The certificate does not match the expected identity of the site that it was retrieved from.
TlsCertificateFlagsNotActivated | The certificate's activation time is still in the future
TlsCertificateFlagsExpired | The certificate has expired
TlsCertificateFlagsRevoked | The certificate has been revoked according to the `TlsConnection`'s certificate revocation list.
TlsCertificateFlagsInsecure | The certificate's algorithm is considered insecure.
TlsCertificateFlagsGenericError | Some other error occurred validating the certificate
TlsCertificateFlagsValidateAll | the combination of all of the above flags
AnotherTlsCertificateFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum TlsCertificateFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: TlsCertificateFlags -> TlsCertificateFlags

pred :: TlsCertificateFlags -> TlsCertificateFlags

toEnum :: Int -> TlsCertificateFlags #

fromEnum :: TlsCertificateFlags -> Int #

enumFrom :: TlsCertificateFlags -> [TlsCertificateFlags]

enumFromThen :: TlsCertificateFlags -> TlsCertificateFlags -> [TlsCertificateFlags]

enumFromTo :: TlsCertificateFlags -> TlsCertificateFlags -> [TlsCertificateFlags]

enumFromThenTo :: TlsCertificateFlags -> TlsCertificateFlags -> TlsCertificateFlags -> [TlsCertificateFlags]

Eq TlsCertificateFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: TlsCertificateFlags -> TlsCertificateFlags -> Bool # (/=) :: TlsCertificateFlags -> TlsCertificateFlags -> Bool #
Ord TlsCertificateFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: TlsCertificateFlags -> TlsCertificateFlags -> Ordering

(<) :: TlsCertificateFlags -> TlsCertificateFlags -> Bool

(<=) :: TlsCertificateFlags -> TlsCertificateFlags -> Bool

(>) :: TlsCertificateFlags -> TlsCertificateFlags -> Bool

(>=) :: TlsCertificateFlags -> TlsCertificateFlags -> Bool

max :: TlsCertificateFlags -> TlsCertificateFlags -> TlsCertificateFlags

min :: TlsCertificateFlags -> TlsCertificateFlags -> TlsCertificateFlags

Show TlsCertificateFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> TlsCertificateFlags -> ShowS # show :: TlsCertificateFlags -> String # showList :: [TlsCertificateFlags] -> ShowS #
IsGFlag TlsCertificateFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags TlsCertificateFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject TlsCertificateFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes TlsCertificateFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes TlsCertificateFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes TlsCertificateFlags = '[] :: [Type]

## TlsDatabaseVerifyFlags

data TlsDatabaseVerifyFlags Source #

Flags for `tlsDatabaseVerifyChain`.

Since: 2.30

Constructors

TlsDatabaseVerifyFlagsNone | No verification flags
AnotherTlsDatabaseVerifyFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum TlsDatabaseVerifyFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags

pred :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags

toEnum :: Int -> TlsDatabaseVerifyFlags #

fromEnum :: TlsDatabaseVerifyFlags -> Int #

enumFrom :: TlsDatabaseVerifyFlags -> [TlsDatabaseVerifyFlags]

enumFromThen :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> [TlsDatabaseVerifyFlags]

enumFromTo :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> [TlsDatabaseVerifyFlags]

enumFromThenTo :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> [TlsDatabaseVerifyFlags]

Eq TlsDatabaseVerifyFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> Bool # (/=) :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> Bool #
Ord TlsDatabaseVerifyFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> Ordering

(<) :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> Bool

(<=) :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> Bool

(>) :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> Bool

(>=) :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> Bool

max :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags

min :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags

Show TlsDatabaseVerifyFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> TlsDatabaseVerifyFlags -> ShowS # show :: TlsDatabaseVerifyFlags -> String # showList :: [TlsDatabaseVerifyFlags] -> ShowS #
IsGFlag TlsDatabaseVerifyFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags TlsDatabaseVerifyFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject TlsDatabaseVerifyFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes TlsDatabaseVerifyFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes TlsDatabaseVerifyFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes TlsDatabaseVerifyFlags = '[] :: [Type]

## TlsPasswordFlags

data TlsPasswordFlags Source #

Various flags for the password.

Since: 2.30

Constructors

TlsPasswordFlagsNone | No flags
TlsPasswordFlagsRetry | The password was wrong, and the user should retry.
TlsPasswordFlagsManyTries | Hint to the user that the password has been wrong many times, and the user may not have many chances left.
TlsPasswordFlagsFinalTry | Hint to the user that this is the last try to get this password right.
AnotherTlsPasswordFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum TlsPasswordFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: TlsPasswordFlags -> TlsPasswordFlags

pred :: TlsPasswordFlags -> TlsPasswordFlags

toEnum :: Int -> TlsPasswordFlags #

fromEnum :: TlsPasswordFlags -> Int #

enumFrom :: TlsPasswordFlags -> [TlsPasswordFlags]

enumFromThen :: TlsPasswordFlags -> TlsPasswordFlags -> [TlsPasswordFlags]

enumFromTo :: TlsPasswordFlags -> TlsPasswordFlags -> [TlsPasswordFlags]

enumFromThenTo :: TlsPasswordFlags -> TlsPasswordFlags -> TlsPasswordFlags -> [TlsPasswordFlags]

Eq TlsPasswordFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: TlsPasswordFlags -> TlsPasswordFlags -> Bool # (/=) :: TlsPasswordFlags -> TlsPasswordFlags -> Bool #
Ord TlsPasswordFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: TlsPasswordFlags -> TlsPasswordFlags -> Ordering

(<) :: TlsPasswordFlags -> TlsPasswordFlags -> Bool

(<=) :: TlsPasswordFlags -> TlsPasswordFlags -> Bool

(>) :: TlsPasswordFlags -> TlsPasswordFlags -> Bool

(>=) :: TlsPasswordFlags -> TlsPasswordFlags -> Bool

max :: TlsPasswordFlags -> TlsPasswordFlags -> TlsPasswordFlags

min :: TlsPasswordFlags -> TlsPasswordFlags -> TlsPasswordFlags

Show TlsPasswordFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> TlsPasswordFlags -> ShowS # show :: TlsPasswordFlags -> String # showList :: [TlsPasswordFlags] -> ShowS #
IsGFlag TlsPasswordFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags TlsPasswordFlags Source # |
Instance details Defined in GI.Gio.Flags
TypedObject TlsPasswordFlags Source # |
Instance details Defined in GI.Gio.Flags Methods glibType :: IO GType Source #
HasParentTypes TlsPasswordFlags Source # |
Instance details Defined in GI.Gio.Flags
type ParentTypes TlsPasswordFlags Source # |
Instance details Defined in GI.Gio.Flags type ParentTypes TlsPasswordFlags = '[] :: [Type]